/*********************************************************************************
ConfiguracoesFrame.java - Janela de configuraes do tipo de intepolador.

Direitos Autorais Reservados (c) 2007 Embrapa Informtica Agropecuria

Este programa  software livre; voc pode redistribu-lo e/ou modific-lo sob os
termos da Licena Pblica Geral GNU conforme publicada pela Free Software
Foundation; tanto a verso 2 da Licena, como (a seu critrio) qualquer verso
posterior.

Este programa  distribudo na expectativa de que seja til, porm, SEM NENHUMA
GARANTIA; nem mesmo a garantia implcita de COMERCIABILIDADE OU ADEQUAO A UMA
FINALIDADE ESPECFICA. Consulte a Licena Pblica Geral do GNU para mais detalhes.

Voc deve ter recebido uma cpia da Licena Pblica Geral do GNU junto com este
programa; se no, escreva para a Free Software Foundation, Inc., no endereo 59
Temple Street, Suite 330, Boston, MA 02111-1307 USA.

**********************************************************************************

Parte integrante do software 'Fuso espectral de imagens de satlite no espao de cores'

Descrio:

    Implementa a janela de configuraes do tipo de interpolador a ser usado.

Sada:
 
    Interface de escolha para o usurio.

Desenvolvido por:
   
    Marcello Antonio Marabita
    Jos Iguelmar Miranda

**********************************************************************************/


public class ConfiguracoesFrame extends javax.swing.JFrame {
    
    /* 1 - INTERP_NEAREST
     * 2 - INTERP_BILINEAR
     * 3 - INTERP_BICUBIC
     * 4 - INTERP_BICUBIC_2
     */
    private int metodoSelecionado = 2;  // Padrao: INTERP_BILINEAR 
    
    
    public ConfiguracoesFrame() {
        initComponents();
        buttonGroup1.add(jRadioButton1);
        buttonGroup1.add(jRadioButton2);
        buttonGroup1.add(jRadioButton3);
        buttonGroup1.add(jRadioButton4);
    }
    
    private void initComponents() {
        buttonGroup1 = new javax.swing.ButtonGroup();
        jPanel1 = new javax.swing.JPanel();
        jRadioButton1 = new javax.swing.JRadioButton();
        jRadioButton2 = new javax.swing.JRadioButton();
        jRadioButton3 = new javax.swing.JRadioButton();
        jRadioButton4 = new javax.swing.JRadioButton();
        jButton1 = new javax.swing.JButton();
        jButton2 = new javax.swing.JButton();

        getContentPane().setLayout(null);

        setTitle("Configura\u00e7\u00f5es");
        setResizable(false);
        jPanel1.setLayout(null);

        jPanel1.setBorder(javax.swing.BorderFactory.createTitledBorder("Configura\u00e7\u00f5es de Zoom"));
        jRadioButton1.setText("INTERP_NEAREST");
        jRadioButton1.setActionCommand("1");
        jRadioButton1.setBorder(javax.swing.BorderFactory.createEmptyBorder(0, 0, 0, 0));
        jRadioButton1.setMargin(new java.awt.Insets(0, 0, 0, 0));
        jPanel1.add(jRadioButton1);
        jRadioButton1.setBounds(20, 30, 150, 20);

        jRadioButton2.setSelected(true);
        jRadioButton2.setText("INTERP_BILINEAR");
        jRadioButton2.setActionCommand("2");
        jRadioButton2.setBorder(javax.swing.BorderFactory.createEmptyBorder(0, 0, 0, 0));
        jRadioButton2.setMargin(new java.awt.Insets(0, 0, 0, 0));
        jPanel1.add(jRadioButton2);
        jRadioButton2.setBounds(20, 60, 150, 20);

        jRadioButton3.setText("INTERP_BICUBIC");
        jRadioButton3.setActionCommand("3");
        jRadioButton3.setBorder(javax.swing.BorderFactory.createEmptyBorder(0, 0, 0, 0));
        jRadioButton3.setMargin(new java.awt.Insets(0, 0, 0, 0));
        jPanel1.add(jRadioButton3);
        jRadioButton3.setBounds(20, 90, 150, 20);

        jRadioButton4.setText("INTERP_BICUBIC_2");
        jRadioButton4.setActionCommand("4");
        jRadioButton4.setBorder(javax.swing.BorderFactory.createEmptyBorder(0, 0, 0, 0));
        jRadioButton4.setMargin(new java.awt.Insets(0, 0, 0, 0));
        jPanel1.add(jRadioButton4);
        jRadioButton4.setBounds(20, 120, 150, 20);

        jButton1.setText("Aplicar");
        jButton1.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButton1ActionPerformed(evt);
            }
        });

        jPanel1.add(jButton1);
        jButton1.setBounds(150, 150, 120, 22);

        jButton2.setText("Padr\u00e3o");
        jButton2.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButton2ActionPerformed(evt);
            }
        });

        jPanel1.add(jButton2);
        jButton2.setBounds(20, 150, 120, 22);

        getContentPane().add(jPanel1);
        jPanel1.setBounds(10, 10, 290, 190);

        java.awt.Dimension screenSize = java.awt.Toolkit.getDefaultToolkit().getScreenSize();
        setBounds((screenSize.width-316)/2, (screenSize.height-237)/2, 316, 237);
    }

    private void jButton2ActionPerformed(java.awt.event.ActionEvent evt) {
        buttonGroup1.setSelected(jRadioButton2.getModel(), true);
        metodoSelecionado = 2;
    }                                        

    private void jButton1ActionPerformed(java.awt.event.ActionEvent evt) {
        String act = buttonGroup1.getSelection().getActionCommand();
        System.out.println("Comando" + act);
        
        metodoSelecionado = Integer.parseInt(act);
        
        this.setVisible(false);
    }
    
    // Declarao de variveis
    private javax.swing.ButtonGroup buttonGroup1;
    private javax.swing.JButton jButton1;
    private javax.swing.JButton jButton2;
    private javax.swing.JPanel jPanel1;
    private javax.swing.JRadioButton jRadioButton1;
    private javax.swing.JRadioButton jRadioButton2;
    private javax.swing.JRadioButton jRadioButton3;
    private javax.swing.JRadioButton jRadioButton4;

    public int getMetodoSelecionado() {
        System.out.println("Metodo: "+ metodoSelecionado);
        return metodoSelecionado;
    }
    
}
